#ifndef SOUNDNODE_H
#define SOUNDNODE_H

#include "scene/scenenode.h"
#include "SFML/Audio.hpp"
#include "glm/vec3.hpp"

class SoundNode : public SceneNode
{
    sf::Sound m_sound;
    std::string m_sound_file;
    bool m_valid;
public:
    SoundNode(std::string soundFileName);
    void init();
    void play();
    void pause();
    void stop();
    void setPosition(glm::vec3 pos, bool relative);
};

#endif // SOUNDNODE_H
